import { FoundationElement, TreeItem } from '@microsoft/fast-foundation';
/**
 * @tagname %%prefix%%-stepper-tab
 */
export declare class StepperTab extends FoundationElement {
    treeItem: TreeItem;
    disabled: boolean;
    selected: boolean;
    completed: boolean;
    error: boolean;
    isCompleted(): boolean;
    selectedChanged(): void;
}
export declare const foundationStepperTabShadowOptions: ShadowRootInit;
export declare const defaultStepperTabConfig: {};
/**
 * The Foundation Stepper Tab
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-stepper-tab\>
 */
export declare const foundationStepperTab: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof StepperTab>;
//# sourceMappingURL=stepper-tab.d.ts.map