import { css } from '@microsoft/fast-element';
export const foundationStepperTabStyles = (context, definition) => css `
  .tree-item {
    cursor: default;
  }

  .tree-item::part(content-region) {
    margin-inline-start: 0;
  }

  .tree-item[selected]::part(positioning-region):hover {
    background: var(--neutral-fill-rest);
  }

  .tree-item::part(positioning-region):hover {
    background: var(--neutral-fill-stealth-rest);
  }

  foundation-icon {
    margin-right: 5px;
  }

  .completed-icon {
    color: #45c983;
  }

  .error-icon {
    color: #b66060;
  }
`;
